TransitionTable (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.parser.transition
Class TransitionTable

    java.lang.Object
      org.maltparser.parser.transition.TransitionTable

All Implemented Interfaces:
  Table, DecisionPropertyTable

    public class TransitionTable

extends Object
implements Table, DecisionPropertyTable

Since:
  1.1
Author:
  Johan Hall

Constructor Summary
`TransitionTable(String tableName)`

Method Summary
`int` | `addSymbol(String symbol)`
`void` | `addTransition(int code, String symbol, boolean labeled, TransitionTable childrenTable)`
`boolean` | `continueWithNextDecision(int code)`
`boolean` | `continueWithNextDecision(String symbol)`
`String` | `getName()`
`String` | `getSymbolCodeToString(int code)`
`int` | `getSymbolStringToCode(String symbol)`
`Table` | `getTableForNextDecision(int code)`
`Table` | `getTableForNextDecision(String symbol)`
`Transition` | `getTransition(int code)`
`Transition` | `getTransition(String symbol)`
`protected void` | `setName(String name)`
`int` | `size()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TransitionTable

    public TransitionTable(String tableName)

Method Detail

### addTransition

    public void addTransition(int code,
                              String symbol,
                              boolean labeled,
                              TransitionTable childrenTable)

### continueWithNextDecision

    public boolean continueWithNextDecision(int code)
                                     throws MaltChainedException

  Specified by:
    `continueWithNextDecision` in interface `DecisionPropertyTable`
  Throws:
    `MaltChainedException`

### continueWithNextDecision

    public boolean continueWithNextDecision(String symbol)
                                     throws MaltChainedException

  Specified by:
    `continueWithNextDecision` in interface `DecisionPropertyTable`
  Throws:
    `MaltChainedException`

### getTableForNextDecision

    public Table getTableForNextDecision(int code)
                                  throws MaltChainedException

  Specified by:
    `getTableForNextDecision` in interface `DecisionPropertyTable`
  Throws:
    `MaltChainedException`

### getTableForNextDecision

    public Table getTableForNextDecision(String symbol)
                                  throws MaltChainedException

  Specified by:
    `getTableForNextDecision` in interface `DecisionPropertyTable`
  Throws:
    `MaltChainedException`

### getTransition

    public Transition getTransition(String symbol)

### getTransition

    public Transition getTransition(int code)

### addSymbol

    public int addSymbol(String symbol)
                  throws MaltChainedException

  Specified by:
    `addSymbol` in interface `Table`
  Throws:
    `MaltChainedException`

### getName

    public String getName()

  Specified by:
    `getName` in interface `Table`

### getSymbolCodeToString

    public String getSymbolCodeToString(int code)
                                 throws MaltChainedException

  Specified by:
    `getSymbolCodeToString` in interface `Table`
  Throws:
    `MaltChainedException`

### getSymbolStringToCode

    public int getSymbolStringToCode(String symbol)
                              throws MaltChainedException

  Specified by:
    `getSymbolStringToCode` in interface `Table`
  Throws:
    `MaltChainedException`

### setName

    protected void setName(String name)

### size

    public int size()

  Specified by:
    `size` in interface `Table`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.